Skip to main content
POST
/
api
/
public
/
email-channel
/
verify
/
{id}
Verify domain DNS
curl --request POST \
  --url https://api.vambe.me/api/public/email-channel/verify/{id} \
  --header 'x-api-key: <x-api-key>'
{
  "id": "<string>",
  "sender_address": "<string>",
  "sender_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "email_domain": {
    "id": "<string>",
    "domain": "<string>",
    "validation_status": "pending",
    "dns_records": [
      {
        "id": "<string>",
        "record_type": "cname",
        "host": "<string>",
        "data": "<string>",
        "valid": true,
        "purpose": "spf"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vambe.me/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
string
required

API key needed to authorize the request

Path Parameters

id
string<uuid>
required

Response

id
string
required
sender_address
string
required
sender_name
string
required
created_at
string<date-time>
required
email_domain
object
required